<template>
  <div align="center">
    <v-simple-table dense v-if="items.length > 0">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left"># รหัสล็อกเกอร์</th>
            <th class="text-left">ชื่อ</th>
            <th class="text-center">วันที่สร้าง</th>
            <th class="text-center">สถานะ</th>
            <th class="text-center">ตรวจสอบ</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td class="text-caption">{{ item.lockerCode }}</td>
            <td class="text-caption">
              <v-chip class="ma-2" color="#1A67C0" dark label outlined>
                <v-icon left> mdi-account-circle </v-icon>
                {{ item | fullName }}
              </v-chip>
            </td>
            <td class="text-center">
              <v-chip
                class="ma-2 text-caption"
                color="indigo darken-3"
                outlined
                pill
              >
                {{ item.createDate | fomatDate }}
                <v-icon right> date_range </v-icon>
              </v-chip>
            </td>

            <td class="text-center text-caption">
              <v-chip
                class="ma-2"
                :color="item | colorStatusRepair"
                label
                outlined
              >
                {{ item | statusRepair }}
              </v-chip>
            </td>
            <td class="text-center">
              <v-icon color="info" @click="showDialog(item)"> pageview </v-icon>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <Dialog
      :propObj="obj"
      :propDialog="dialog"
      :close.sync="dialog"
      @update-table="updateTable"
    />
  </div>
</template>

<script>
import Dialog from "./Dialog";
export default {
  components: {
    Dialog,
  },
  props: ["items", "loading"],
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      obj: {},
      dialog: false,
    };
  },
  methods: {
    updateTable(i) {
      if (i) this.$emit("update-table-parent", i);
    },
    showDialog(item) {
      this.dialog = true;
      if (item.status == "VF") {
        for (let i in item.repairLkRoomList) {
          item.repairLkRoomList[i].status = "-";
        }
      }

      this.obj = Object.assign({}, item);
    },
  },
};
</script>

<style>
</style>